#include <bits/stdc++.h>


using namespace std;
long long tong(long long n)
{	long long i,dem=2;
	for(i=2;i<=n/2;i++)
	{
		if(n%i==0)dem++;	}
		return dem;
}
int main()
{
	ifstream f1("SLU.inp");
	ofstream f2("SLU.out");
	long long n;
	f1>>n;
	f2<<tong(n);
}
